## net.sf.saxon.sort
Class GlobalOrderComparer

    java.lang.Object
      |
      +--net.sf.saxon.sort.GlobalOrderComparer

All Implemented Interfaces:
  NodeOrderComparer, java.io.Serializable

public final class GlobalOrderComparer
extends java.lang.Object
implements NodeOrderComparer, java.io.Serializable

A Comparer used for comparing nodes in document order. This comparer is used when there is no guarantee that the nodes being compared come from the same document

See Also:
  Serialized Form

Constructor Summary
`GlobalOrderComparer()`

Method Summary
`int` `compare(NodeInfo a, NodeInfo b)` Compare two objects.
`static GlobalOrderComparer` `getInstance()` Get an instance of a GlobalOrderComparer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlobalOrderComparer

    public GlobalOrderComparer()

Method Detail

### getInstance

    public static GlobalOrderComparer getInstance()

  Get an instance of a GlobalOrderComparer. The class maintains no state so this returns the same instance every time.

### compare

    public int compare(NodeInfo a,
                       NodeInfo b)

  Description copied from interface: `NodeOrderComparer`
  Compare two objects.

  Specified by:
    `compare` in interface `NodeOrderComparer`
  Returns:
    <0 if a<b, 0 if a=b, >0 if a>b